Bug 145028 - UI: Sidebar Animation isn't that 'self-explaining' for adding a new animation
Summary: UI: Sidebar Animation isn't that 'self-explaining' for adding a new animation
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
7.3.0.0 alpha0+
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:7.3.0
Keywords: accessibility, difficultyBeginner, easyHack, skillDesign, topicUI
Depends on:
Blocks: Sidebar-Animation
  Show dependency treegraph
 
Reported: 2021-10-10 06:58 UTC by Telesto
Modified: 2021-11-13 09:25 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2021-10-10 06:58:08 UTC
Description:
UI: Sidebar Animation isn't that 'self-explaining' for adding a new animation 

Steps to Reproduce:
1. Open Impress (empty slide
2. Sidebar -> Animation

Actual Results:
Problem A
-> You need to select an object to be able to add "+' sign. This communicated by turn 'gray' when nothing selected. Except this very subtitle

Problem B
Well the dialog isn't that self-explaining in my perception. You need to orientate relatively long to grasp the way how to add an animation

Problem C
Button's are relatively small. This has advantages (less incidental clicks). Disadvantage, you need to navigate the mouse more precisely 









Expected Results:
Well add an icon would help & maybe a label? 


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.0.0.0.beta1+ (x64)
Build ID: 2891e91a513520d68ea2b8c59c14335861a15253
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL
Comment 1 Heiko Tietze 2021-10-14 12:35:56 UTC
The topic was on the agenda of the design meeting but hasn't received further input. I agree with larger buttons and text, which is easyhackable.

sd/uiconfig/simpress/ui/customanimationspanel.ui - just add a label to the buttons

Perhaps we should start with "Effects:" left-hand, similar to Category, and use just Add, Delete, Move up/down for the buttons. The buttons have icons which are clear to me.

Positive side-effect is an improvement on accessibility.
Comment 2 Commit Notification 2021-10-20 05:12:58 UTC
Heiko Tietze committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/279cc2aa9d8e5e53762352415c05c262fb1d906f

Related tdf#145037 and tdf#145028 - Animation sidebar usability

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Heiko Tietze 2021-10-20 05:17:38 UTC
The patch adds a label to the Add button (using labels for all action takes a lot of space and would make the sidebar width larger than today even without l10n) and a splitter between the two parts so one can adjust the height of the lists.
Comment 4 Aron Budea 2021-11-13 09:25:10 UTC
(In reply to Telesto from comment #0)
> Problem A
> -> You need to select an object to be able to add "+' sign. This
> communicated by turn 'gray' when nothing selected. Except this very subtitle
It's also communicated by the text in the animation list when it's empty. Perhaps that text could be larger.

Sure, when you stubmle upon the pane when editing an existing presentation with animations, it may be hard to pick up on. I don't think that's how people start out working with presentations, though.